local loader = {}

function loader:setText(text)
	love.graphics.print(text,0,0)
	love.graphics.present()
end

function loader:load()
	loader:libraries()
	loader:states()
	loader:graphics()
	loader:fonts()
	loader:cursors()
end

function loader:states()
	loader:setText("Loading gamestates")
	states = {}
	local files = love.filesystem.getDirectoryItems("states")
	for k,v in pairs(files) do
		local name = v:gsub("%.lua$","")
		states[name] = require("states/" .. name)
	end
end
function loader:graphics()
	self:setText("Loading graphics")
	graphics = {}
	local files = love.filesystem.getDirectoryItems("graphics")
	for k,v in pairs(files) do
		local name = v:gsub("%.png$","")
		graphics[name] = love.graphics.newImage("graphics/"..v)
	end
end
function loader:fonts()
	self:setText("Loading fonts")
	fonts = {
		regular = love.graphics.newFont("fonts/regular.ttf",15),
	}
end
function loader:cursors()
	cursors = {
		pointer = love.mouse.newCursor(graphics.cursor:getData(),0,0),
	}
end
function loader:libraries()
	rgul = require("rgul")
	require("rstate")
	cam = require("cam")
	ship = require("ship")
end

return loader