world = {
	objects = {}
}

screen = {}

traillength = 100
maxtraillength = 1000

function love.load()
	require("screen")
	screen.init()
	
	local loader = require("loader")
	loader:load()
	
	love.mouse.setCursor(cursors.pointer)
	love.graphics.setFont(fonts.regular)
	
	rstate.load(require("states/mainmenu"))
	
	-- World generation
	for i=1,1024 do
		local x=math.floor(love.math.random(-2^15,2^15))
		local y=math.floor(love.math.random(-2^15,2^15))
		local s=math.floor(love.math.random(16,128))
		local d=love.math.random(2,3)
		local m=math.floor(d*s)
		world.objects[i] = {type="planet",x=x,y=y,size=s,mass=m}
	end
end

function love.mousepressed(x,y,b)
	rstate.call("mousepressed",x,y,b)
end

function love.update(dt)
	screen.update()
	rstate.call("update",dt)
end

function love.keypressed(key)
	if key == "escape" then
		love.event.quit()
	end
	rstate.call("keypressed",key)
end

function love.draw()
	rstate.call("draw")
end