local rgul = {}

function rgul.inside(n,b1,b2)
	return n > math.min(b1,b2) and n < math.max(b1,b2)
end
	

rgul.math = {}

function rgul.math.avg(...)
	local out=0
	for _,n in pairs({...}) do
		out=out+n
	end
	return out/#{...}
end

rgul.math.fraction={}
function rgul.math.fraction:fromDecimal(n)
	local s=tostring(n)
	if not s:find(".") then
		return n,1
	else
		local n=s:sub(s:find(".")+2)
		local d="1"..string.rep("0",n:len())
		return n,d
	end
end
function rgul.math.fraction:toDecimal(n,d)
	return n/d
end

rgul.length = {
	units = {
		 ["kilometer"]={        0.001, "kilometers"},
		["hectometer"]={         0.01,"hectometers"},
		 ["decameter"]={          0.1, "decameters"},
			 ["meter"]={            1,     "meters"},
		 ["decimeter"]={           10, "decimeters"},
		["centimeter"]={          100,"centimeters"},
		["millimeter"]={         1000,"millimeters"},
		["micrometer"]={      1000000,"micrometers"},
		 ["nanometer"]={   1000000000, "nanometers"},
		 ["picometer"]={1000000000000, "picometers"},
		
		["inch"]={          39.3701,"inches"},
		["foot"]={3.280839895013123,  "feet"},
		["yard"]={          1.09361, "yards"},
		["mile"]={      0.000621371, "miles"},
	}
}
function rgul.length:convert(unit1,unit2,val)
	if self.units[unit1] ~= nil and self.units[unit2] ~= nil then
		local inmeters=val/self.units[unit1][1]
		return inmeters*self.units[unit2][1]
	elseif self.units[units[1]] ~= nil then
		error("Unknown unit ["..unit2.."]")
	elseif self.units[units[2]] ~= nil then
		error("Unknown unit ["..unit1.."]")
	else
		error("Unknown units ["..unit1.."] and ["..unit2.."]")
	end
end

return rgul