screen = {}

function screen.init(w,h)
	--[[if not love.window then
		require("love.window")
		local flags = {
			fullscreen = true,
			fullscreentype = "normal",
			vsync = true,
			fsaa = 0,
			resizable = false,
			borderless = false,
			centered = true,
			display = 1,
			minwidth = 640,
			minheight = 480,
			highdpi = false,
			srgb = false,
		}
	else
		local w = w or love.graphics.getWidth()
		local h = h or love.graphics.getHeight()
		local _,__,flags = love.window.getMode()
	end
	
	local modes = love.window.getFullscreenModes()
	local largest = 1
	print("Finding resolutions...")
	for i=1,#modes do
		print(modes[i].width.."x"..modes[i].height)
		if modes[i].height>modes[largest].height and modes[i].width>modes[largest].width then
			largest = i
		end
	end
	love.window.setMode(w or modes[largest].width,h or modes[largest].height,flags)]]
	screen.update()
end
	

function screen.update()
	if love.window.getFullscreen() then
		local modes = love.window.getFullscreenModes()
		local largest = 1
		for i=1,#modes do
			if modes[i].height>modes[largest].height and modes[i].width>modes[largest].width then
				largest = i
			end
		end
		local _,__,flags = love.window.getMode()
		love.window.setMode(modes[largest].width,modes[largest].height,flags)
	end
	screen.width = love.graphics.getWidth()
	screen.height = love.graphics.getHeight()
end